//-------------------------------------------------------------
// main.c file.
//
//-------------------------------------------------------------

#include "project.h"

#define CYBLE_MODULE_HAS_PALNA     1                                         // Need to turn on PA/LNA for extended range and non-extended range

CY_ISR(BLE_PA_Ctrl_Interrupt)
{
}

void BLECallBack(uint32 event, void* eventParam)
{
}

int main(void)
{
    if(CyBle_Start(BLECallBack) != CYBLE_ERROR_OK)                              // Start CYBLE component and register generic event handler
        CYASSERT(0);                                                            // BLE stack initialization failed, check configuration

    BLE_PA_Ctrl_Interrupt_StartEx(BLE_PA_Ctrl_Interrupt);                       // Use custom ISR

    while (CyBle_GetState() == CYBLE_STATE_INITIALIZING)                        // Wait for BLE Component to Initialize
        CyBle_ProcessEvents();

    CyGlobalIntEnable;                                                          // Enable global interrupts

    while(1)
    {
        CyBle_ProcessEvents();
    }
}

